<!doctype html>
<html lang="es">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<!-- Font Awesone -->
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.13/css/all.css" integrity="sha384-DNOHZ68U8hZfKXOrtjWvjxusGo9WQnrNx2sqG0tfsghAvtVlRW3tvkXWZh58N9jp" crossorigin="anonymous">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="css/estilos.css">
	
    <title>Prácticas php ficheros</title>
  </head>
  <body>
    
  <div class="container-fluid">
	<div class="row bg-primary text-white p-5 shadow">
		<h1 class="col-12">Creación estructura básica de directorios y ficheros</h1>
		<ul>
			<li>Escribir el nombre de la carpeta</li>
			<li>Enviar los datos del formulario a la misma página por POST</li>
			<li>Crear una carpeta con el nombre introducido y una estructura básica de directorios debajo de ella. <a href="http://php.net/manual/es/function.mkdir.php" target="_blank"> <span class="badge badge-light p-2">Función: mkdir() <i class="fas fa-info-circle"></i></span></a></li>
				<ul>
					<li>css</li>
					<li>img</li>
					<li>js</li>
				</ul>
			<li> Los carpeta y su estructura se crearán por defecto dentro del htdocs del xamp. Este path estará grabado en una variable dentro del código php.	</li>
			<li>Crear los siguientes ficheros vacíos: <a href="http://php.net/manual/es/function.fopen.php" target="_blank"> <span class="badge badge-light p-2">Función: fopen() <i class="fas fa-info-circle"></i></span></a> <a href="http://php.net/manual/es/function.fclose.php" target="_blank"> <span class="badge badge-light p-2">Función: fclose() <i class="fas fa-info-circle"></i></span></a></li>
				<ul>
					<li>css/<b>estilos.css</b></li>
					<li>js/<b>miscript.js</b></li>
					<li><b>index.php</b></li>
				</ul>
			<li>Escribir en index.php el contenido básico de una plantilla html con los ficheros estilos.css y miscript.js enlazados<a href="http://php.net/manual/es/function.fwrite.php" target="_blank"> <span class="badge badge-light p-2">Función: fwrite() <i class="fas fa-info-circle"></i></span></a></li>	
			
		</ul>
	</div>	
	
	
		
		<form class="m-5">
		  <div class="form-row">
			 <div class="form-group col-4">
				<label for="nomdirectorio">Nombre de la carpeta raiz</label>
				<input type="text" class="form-control" id="nomdirectorio" name="nomdirectorio" placeholder="Nombre de la carpeta">
			  </div>
		  </div>
		  <button type="submit" class="btn btn-primary">Crear estructura de directorios</button>		  
 	  
		</form>


		

   </div>


		
	

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
   <script src="js/jquery-3.3.1.js"></script>
    <!-- bundle incluye popper.js -->
   <script src="js/bootstrap.bundle.js"></script>
   <script src="js/miscript.js"></script>
  </body>
</html>